import 'package:english_learning/core/utils/styles/theme.dart';
import 'package:english_learning/core/widgets/global_button.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class ReportIssueDialog extends StatelessWidget {
  final VoidCallback onSubmit;

  const ReportIssueDialog({
    super.key,
    required this.onSubmit,
  });

  @override
  Widget build(BuildContext context) {
    return Dialog(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(20),
      ),
      child: Container(
        decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.circular(20),
        ),
        child: Padding(
          padding: const EdgeInsets.all(24.0),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              RichText(
                text: TextSpan(
                  children: [
                    TextSpan(
                      text: 'Issue Report',
                      style: AppTextStyles.blackTextStyle.copyWith(
                        fontSize: 18,
                        fontWeight: FontWeight.w900,
                      ),
                    ),
                    TextSpan(
                      text: ' Received',
                      style: AppTextStyles.blueTextStyle.copyWith(
                        fontSize: 18,
                        fontWeight: FontWeight.w900,
                      ),
                    ),
                    TextSpan(
                      text: '!',
                      style: AppTextStyles.blackTextStyle.copyWith(
                        fontSize: 18,
                        fontWeight: FontWeight.w900,
                      ),
                    ),
                  ],
                ),
              ),
              const SizedBox(height: 16),
              SvgPicture.asset(
                'lib/features/settings/modules/report_issue/assets/images/report_illustration.svg',
                width: 160,
              ),
              const SizedBox(height: 16),
              Text(
                'Thank you for letting us know. We\'ll investigate the issue and work on resolving it promptly.',
                textAlign: TextAlign.center,
                style: AppTextStyles.disableTextStyle.copyWith(
                  fontSize: 12,
                  fontWeight: FontWeight.w500,
                ),
              ),
              const SizedBox(height: 13),
              GlobalButton(
                text: 'Got It',
                onPressed: onSubmit,
              )
            ],
          ),
        ),
      ),
    );
  }
}
